Bug 243193 - NetworkManager doesn't detect changes
NetworkManager doesn't detect changes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 15:44 EDT by Francis Kung
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:29:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francis Kung 2007-06-07 15:44:13 EDT
Description of problem:
NetworkManager doesn't see changes in networking state (plugging/unplugging
wire, losing the wireless connection, etc).


Version-Release number of selected component (if applicable):
0.6.5-3.fc7

How reproducible:
always

Steps to Reproduce:
1. Start computer without network cable plugged in.
2. Plug in cable.
3. Unplug cable again (or vice versa - start with cable plugged in, then unplug,
then plug in)
  
Actual results:
No change.

Expected results:
NetworkManager should detect change, and switch between wired/wireless as needed.

Additional info:
This also happens with a weak wireless signal: if connected to a wireless
network and the connection is lost, NetworkManager doesn't see this and try to
reconnect automatically.  If I manually reconnect, or switch between
wired/wireless, it works.  The first state change seems to be recognised, but
after that NetworkManager doesn't see any more changes until I restart the service.

NetworkManager was working fine before the upgrade to F7.  I know this isn't
much to debug with; let me know if (and how) I can provide more information.

My hardware:
02:0e.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5705M_2 Gigabit
Ethernet (rev 03)
02:04.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC
(rev 01)  (yes, using madwifi... but shouldn't affect the wired connection, at
least)
Comment 1 Klaasjan Brand 2007-06-13 02:38:15 EDT
I have the same problem on my laptop with the same Broadcom BCM5705 gigabit
network adapter.  Also on another laptop with a Broadcom 5752 adapter. The
kernel log shows "link down" and "link up" events when unplugging and plugging
the network cables so the driver seems know when the cable is removed.
Comment 2 Vlasios Vasileiou 2007-06-20 16:25:20 EDT
The same happens for the IPW3945 driver on a Dell Inspiron E1705. 
Network Manager used to work ok when I initially installed F7, but after an
update or something it stopped detecting changes
Comment 3 Dan Williams 2008-04-10 16:34:44 EDT
When plugging and unplugging the cable, does sysfs report the link state
correctly?  Run "cat /sys/class/net/eth0/carrier" and see what that reports when
the cable is both plugged and unplugged.
Comment 4 Bug Zapper 2008-05-14 08:54:34 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:29:31 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.